# H248_ActionRequest Class Reference

`#include <h248.h>`

Inheritance diagram for H248_ActionRequest:

List of all members.

## Public Types

enum | OptionalFields { e_contextRequest, e_contextAttrAuditReq }

## Public Member Functions

| H248_ActionRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_ContextID | m_contextId
H248_ContextRequest | m_contextRequest
H248_ContextAttrAuditRequest | m_contextAttrAuditReq
H248_ArrayOf_CommandRequest | m_commandRequests

## Member Enumeration Documentation

enum H248_ActionRequest::OptionalFields

Enumerator:

  e_contextRequest |
  e_contextAttrAuditReq |

## Constructor & Destructor Documentation

H248_ActionRequest::H248_ActionRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_ActionRequest::GetDataLength | ( |  | ) | const

PBoolean H248_ActionRequest::Decode | ( | PASN_Stream & | strm | ) |

void H248_ActionRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H248_ActionRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_ActionRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H248_ActionRequest::Clone | ( |  | ) | const

## Member Data Documentation

H248_ContextID H248_ActionRequest::m_contextId

H248_ContextRequest H248_ActionRequest::m_contextRequest

H248_ContextAttrAuditRequest H248_ActionRequest::m_contextAttrAuditReq

H248_ArrayOf_CommandRequest H248_ActionRequest::m_commandRequests

The documentation for this class was generated from the following file:

- h248.h